Debian Bug report logs - #728542
ITP: libpolyclipping -- polygon clipping, polygon offsetting and polyline offsetting library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Bas Wijnen <wijnen@debian.org>

Date: Sat, 2 Nov 2013 18:24:01 UTC

Owned by: Bas Wijnen <wijnen@debian.org>

Severity: wishlist

Fixed in version libpolyclipping/6.0.0-1

Done: Bas Wijnen <wijnen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wijnen@debian.org, debian-devel@lists.debian.org, 3dprinter-general@lists.alioth.debian.org, wnpp@debian.org:
Bug#728542; Package wnpp. (Sat, 02 Nov 2013 18:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bas Wijnen <wijnen@debian.org>:
New Bug report received and forwarded. Copy sent to wijnen@debian.org, debian-devel@lists.debian.org, 3dprinter-general@lists.alioth.debian.org, wnpp@debian.org. (Sat, 02 Nov 2013 18:24:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bas Wijnen <wijnen@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libpolyclipping -- polygon clipping, polygon offsetting and polyline offsetting library
Date: Sat, 02 Nov 2013 14:22:02 -0400
Package: wnpp
Severity: wishlist
Owner: Bas Wijnen <wijnen@debian.org>

* Package name    : libpolyclipping
  Version         : 6.0.0
  Upstream Author : Angus Johnson <http://sourceforge.net/projects/polyclipping>
* URL             : http://sourceforge.net/projects/polyclipping
* License         : GPL, BSD, MIT, Boost
  Programming Lang: C++
  Description     : polygon clipping, polygon offsetting and polyline offsetting library

The Clipper library performs polygon clipping, polygon offsetting and polyline
offsetting. All four boolean clipping operations are supported - intersection,
union, difference and exclusive-or. Also, there are no restrictions on the
types of polygons that can be clipped - they can have holes, be
self-intersecting, have coincident edges etc.

It is written in several languages; only the C++ version is part of this
package.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Bas Wijnen <wijnen@debian.org>:
Bug#728542; Package wnpp. (Sun, 03 Nov 2013 22:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Dandrimont <olasd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Bas Wijnen <wijnen@debian.org>. (Sun, 03 Nov 2013 22:30:04 GMT) Full text and rfc822 format available.

Message #10 received at 728542@bugs.debian.org (full text, mbox):

From: Nicolas Dandrimont <olasd@debian.org>
To: Bas Wijnen <wijnen@debian.org>, 728542@bugs.debian.org
Subject: Re: Bug#728542: ITP: libpolyclipping -- polygon clipping, polygon offsetting and polyline offsetting library
Date: Sun, 3 Nov 2013 23:19:44 +0100
[Message part 1 (text/plain, inline)]
* Bas Wijnen <wijnen@debian.org> [2013-11-02 14:22:02 -0400]:

> Package: wnpp
> Severity: wishlist
> Owner: Bas Wijnen <wijnen@debian.org>
> 
> * Package name    : libpolyclipping
>   Version         : 6.0.0
> * URL             : http://sourceforge.net/projects/polyclipping

Hi Bas,

Does this have anything to do with Slic3r packaging? While debugging an
issue with Slic3r on 32-bit archs, I tried upgrading to clipper 6.0.0
and Slic3r's test suite was broken.
 
However, upstream intends to move to clipper 6.0.0 just after its next
release, so we might want to wait it out a bit.

Cheers,
-- 
Nicolas Dandrimont

Avoid the Gates of Hell.  Use Linux
(Unknown source)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728542; Package wnpp. (Mon, 04 Nov 2013 17:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bas Wijnen <wijnen@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 04 Nov 2013 17:57:04 GMT) Full text and rfc822 format available.

Message #15 received at 728542@bugs.debian.org (full text, mbox):

From: Bas Wijnen <wijnen@debian.org>
To: Nicolas Dandrimont <olasd@debian.org>, 728542@bugs.debian.org
Subject: Re: Bug#728542: ITP: libpolyclipping -- polygon clipping, polygon offsetting and polyline offsetting library
Date: Mon, 4 Nov 2013 18:47:52 +0100
Hi,

On Sun, Nov 03, 2013 at 11:19:44PM +0100, Nicolas Dandrimont wrote:
> Does this have anything to do with Slic3r packaging?

No, this is a prerequisite for the Cura engine.  I thought Slic3r used a
different library, but appearantly I was wrong?  In that case I will need to
have a look at the perl package, because I suppose they have the same source
(I was planning to ignore the perl part and only package the c++ source from
upstream; it contains implementations in many other languages as well).

I can't see it in the repository though; is it already in there?

> While debugging an issue with Slic3r on 32-bit archs, I tried upgrading to
> clipper 6.0.0 and Slic3r's test suite was broken.

I have a 6.0.0 package just about ready to upload now; it might still take a
while before I do, though, because I added a pkgconfig file and upstream said
he wanted to include it, so I'll probably let that happen first.

> However, upstream intends to move to clipper 6.0.0 just after its next
> release, so we might want to wait it out a bit.

Good idea, I think.  When we need it, we can just add a perl binary package
from my source package (some help with packaging would be welcome; I don't
know any perl).

Thanks,
Bas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Bas Wijnen <wijnen@debian.org>:
Bug#728542; Package wnpp. (Mon, 04 Nov 2013 18:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Dandrimont <olasd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Bas Wijnen <wijnen@debian.org>. (Mon, 04 Nov 2013 18:57:08 GMT) Full text and rfc822 format available.

Message #20 received at 728542@bugs.debian.org (full text, mbox):

From: Nicolas Dandrimont <olasd@debian.org>
To: Bas Wijnen <wijnen@debian.org>
Cc: 728542@bugs.debian.org
Subject: Re: Bug#728542: ITP: libpolyclipping -- polygon clipping, polygon offsetting and polyline offsetting library
Date: Mon, 4 Nov 2013 19:55:20 +0100
[Message part 1 (text/plain, inline)]
* Bas Wijnen <wijnen@debian.org> [2013-11-04 18:47:52 +0100]:

> Hi,
> 
> On Sun, Nov 03, 2013 at 11:19:44PM +0100, Nicolas Dandrimont wrote:
> > Does this have anything to do with Slic3r packaging?
> 
> No, this is a prerequisite for the Cura engine.  I thought Slic3r used a
> different library, but appearantly I was wrong?  In that case I will need to
> have a look at the perl package, because I suppose they have the same source
> (I was planning to ignore the perl part and only package the c++ source from
> upstream; it contains implementations in many other languages as well).
> 
> I can't see it in the repository though; is it already in there?

There is no Perl library per se. Slic3r uses the C++ libpolyclipping via an
XS++ wrapper (i.e. via a C++ Perl module).

> > While debugging an issue with Slic3r on 32-bit archs, I tried upgrading to
> > clipper 6.0.0 and Slic3r's test suite was broken.
> 
> I have a 6.0.0 package just about ready to upload now; it might still take a
> while before I do, though, because I added a pkgconfig file and upstream said
> he wanted to include it, so I'll probably let that happen first.
> 
> > However, upstream intends to move to clipper 6.0.0 just after its next
> > release, so we might want to wait it out a bit.
> 
> Good idea, I think.  When we need it, we can just add a perl binary package
> from my source package (some help with packaging would be welcome; I don't
> know any perl).

Slic3r should be able to dynamically link to the C library, so your package
should be fine. 

I'll worry about the de-embedding side when libpolyclipping is available.

Thanks,
-- 
Nicolas Dandrimont

BOFH excuse #443:
Zombie processes detected, machine is haunted.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 09 Nov 2013 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to Bas Wijnen <wijnen@debian.org>:
You have taken responsibility. (Sat, 30 Nov 2013 00:03:16 GMT) Full text and rfc822 format available.

Notification sent to Bas Wijnen <wijnen@debian.org>:
Bug acknowledged by developer. (Sat, 30 Nov 2013 00:03:16 GMT) Full text and rfc822 format available.

Message #27 received at 728542-close@bugs.debian.org (full text, mbox):

From: Bas Wijnen <wijnen@debian.org>
To: 728542-close@bugs.debian.org
Subject: Bug#728542: fixed in libpolyclipping 6.0.0-1
Date: Sat, 30 Nov 2013 00:00:13 +0000
Source: libpolyclipping
Source-Version: 6.0.0-1

We believe that the bug you reported is fixed in the latest version of
libpolyclipping, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728542@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bas Wijnen <wijnen@debian.org> (supplier of updated libpolyclipping package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 09 Nov 2013 09:45:37 -0500
Source: libpolyclipping
Binary: libpolyclipping12 libpolyclipping-dev
Architecture: source i386
Version: 6.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Bas Wijnen <wijnen@debian.org>
Changed-By: Bas Wijnen <wijnen@debian.org>
Description: 
 libpolyclipping-dev - polygon clipping, polygon offsetting and polyline offsetting libr
 libpolyclipping12 - polygon clipping, polygon offsetting and polyline offsetting libr
Closes: 728542
Changes: 
 libpolyclipping (6.0.0-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #728542)
   * Add pkgconfig file.
Checksums-Sha1: 
 03bf18e34f3e3199367d26a997d48f88bc9bdcc3 1157 libpolyclipping_6.0.0-1.dsc
 7742b2e0b9fdea1c218c3a1ceafe772bd693a2cc 2114955 libpolyclipping_6.0.0.orig.tar.gz
 fd8dd9b8ca80cafd6955a15404d604506192b7e2 4349 libpolyclipping_6.0.0-1.debian.tar.gz
 e16d3a401e5da1d3f70eb96a940f6071569016ee 54334 libpolyclipping12_6.0.0-1_i386.deb
 da6e4ef010830359410f41efcc7797aab7da0a26 7698 libpolyclipping-dev_6.0.0-1_i386.deb
Checksums-Sha256: 
 23b044263d6cc22a727187e085e450949007ba255a1da163c58ce2fcb7d3e34c 1157 libpolyclipping_6.0.0-1.dsc
 27e46c122e62163063e7e46bf124e77caba3a20a93e9d9b315e32e0c66181560 2114955 libpolyclipping_6.0.0.orig.tar.gz
 112be2fcd715569d5a9302958a199bce3560e4781f963f78596763d622cc5c7d 4349 libpolyclipping_6.0.0-1.debian.tar.gz
 f71eca2d40ee7a6e998efe60fbf140649ae30f827634473f884f57e113c56f9a 54334 libpolyclipping12_6.0.0-1_i386.deb
 7d438a8b220b07d6d78db05bd18b8981d03c80b2185b25e46d0fd94d086f58df 7698 libpolyclipping-dev_6.0.0-1_i386.deb
Files: 
 43f6d166ce710e72bd332ab518d7994f 1157 libs optional libpolyclipping_6.0.0-1.dsc
 c899f43c694705fdf217eff13f7098e5 2114955 libs optional libpolyclipping_6.0.0.orig.tar.gz
 4cd79a5d9d57f5b738f391f3f62fdb25 4349 libs optional libpolyclipping_6.0.0-1.debian.tar.gz
 471daa2404375dfdf7ff0bf118b3f3e4 54334 libs optional libpolyclipping12_6.0.0-1_i386.deb
 a011a6704e48918e1b96ea532ccf268e 7698 libdevel optional libpolyclipping-dev_6.0.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlJ+Sq4ACgkQFShl+2J8z5X7oQCfX8jD7MMd/BHHdCSACsKILNOf
9P0An00+GUobKMw3q6qKXtg+AIA3FVME
=hg3o
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:33:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:46:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.